import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::ApplicationSignals::Discovery
 */
export declare class Discovery extends pulumi.CustomResource {
    /**
     * Get an existing Discovery resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): Discovery;
    /**
     * Returns true if the given object is an instance of Discovery.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is Discovery;
    /**
     * The 12 digit AWS Account ID for the account.
     */
    readonly accountId: pulumi.Output<string>;
    /**
     * Create a Discovery resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args?: DiscoveryArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a Discovery resource.
 */
export interface DiscoveryArgs {
}
