import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::Backup::BackupSelection
 */
export declare function getBackupSelection(args: GetBackupSelectionArgs, opts?: pulumi.InvokeOptions): Promise<GetBackupSelectionResult>;
export interface GetBackupSelectionArgs {
    /**
     * Uniquely identifies the backup selection.
     */
    id: string;
}
export interface GetBackupSelectionResult {
    /**
     * Uniquely identifies the backup selection.
     */
    readonly id?: string;
    /**
     * Uniquely identifies a request to assign a set of resources to a backup plan.
     */
    readonly selectionId?: string;
}
/**
 * Resource Type definition for AWS::Backup::BackupSelection
 */
export declare function getBackupSelectionOutput(args: GetBackupSelectionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetBackupSelectionResult>;
export interface GetBackupSelectionOutputArgs {
    /**
     * Uniquely identifies the backup selection.
     */
    id: pulumi.Input<string>;
}
