import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Definition of AWS::Bedrock::FlowVersion Resource Type
 */
export declare function getFlowVersion(args: GetFlowVersionArgs, opts?: pulumi.InvokeOptions): Promise<GetFlowVersionResult>;
export interface GetFlowVersionArgs {
    /**
     * Arn representation of the Flow
     */
    flowArn: string;
    /**
     * Numerical Version.
     */
    version: string;
}
export interface GetFlowVersionResult {
    /**
     * Time Stamp.
     */
    readonly createdAt?: string;
    /**
     * A KMS key ARN
     */
    readonly customerEncryptionKeyArn?: string;
    readonly definition?: outputs.bedrock.FlowVersionFlowDefinition;
    /**
     * ARN of a IAM role
     */
    readonly executionRoleArn?: string;
    /**
     * Identifier for a Flow
     */
    readonly flowId?: string;
    /**
     * Name for the flow
     */
    readonly name?: string;
    /**
     * The status of the flow.
     */
    readonly status?: enums.bedrock.FlowVersionFlowStatus;
    /**
     * Numerical Version.
     */
    readonly version?: string;
}
/**
 * Definition of AWS::Bedrock::FlowVersion Resource Type
 */
export declare function getFlowVersionOutput(args: GetFlowVersionOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetFlowVersionResult>;
export interface GetFlowVersionOutputArgs {
    /**
     * Arn representation of the Flow
     */
    flowArn: pulumi.Input<string>;
    /**
     * Numerical Version.
     */
    version: pulumi.Input<string>;
}
