import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Definition of AWS::CleanRoomsML::TrainingDataset Resource Type
 */
export declare function getTrainingDataset(args: GetTrainingDatasetArgs, opts?: pulumi.InvokeOptions): Promise<GetTrainingDatasetResult>;
export interface GetTrainingDatasetArgs {
    /**
     * The Amazon Resource Name (ARN) of the training dataset.
     */
    trainingDatasetArn: string;
}
export interface GetTrainingDatasetResult {
    /**
     * The status of the training dataset.
     */
    readonly status?: enums.cleanroomsml.TrainingDatasetStatus;
    /**
     * An arbitrary set of tags (key-value pairs) for this cleanrooms-ml training dataset.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The Amazon Resource Name (ARN) of the training dataset.
     */
    readonly trainingDatasetArn?: string;
}
/**
 * Definition of AWS::CleanRoomsML::TrainingDataset Resource Type
 */
export declare function getTrainingDatasetOutput(args: GetTrainingDatasetOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTrainingDatasetResult>;
export interface GetTrainingDatasetOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the training dataset.
     */
    trainingDatasetArn: pulumi.Input<string>;
}
