import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::DataSync::LocationFSxLustre.
 */
export declare function getLocationFSxLustre(args: GetLocationFSxLustreArgs, opts?: pulumi.InvokeOptions): Promise<GetLocationFSxLustreResult>;
export interface GetLocationFSxLustreArgs {
    /**
     * The Amazon Resource Name (ARN) of the Amazon FSx for Lustre file system location that is created.
     */
    locationArn: string;
}
export interface GetLocationFSxLustreResult {
    /**
     * The Amazon Resource Name (ARN) of the Amazon FSx for Lustre file system location that is created.
     */
    readonly locationArn?: string;
    /**
     * The URL of the FSx for Lustre location that was described.
     */
    readonly locationUri?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::DataSync::LocationFSxLustre.
 */
export declare function getLocationFSxLustreOutput(args: GetLocationFSxLustreOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLocationFSxLustreResult>;
export interface GetLocationFSxLustreOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the Amazon FSx for Lustre file system location that is created.
     */
    locationArn: pulumi.Input<string>;
}
