import * as pulumi from "@pulumi/pulumi";
/**
 * Associates an Elastic IP address with an instance or a network interface. Before you can use an Elastic IP address, you must allocate it to your account. For more information about working with Elastic IP addresses, see [Elastic IP address concepts and rules](https://docs.aws.amazon.com/vpc/latest/userguide/vpc-eips.html#vpc-eip-overview).
 *  You must specify ``AllocationId`` and either ``InstanceId``, ``NetworkInterfaceId``, or ``PrivateIpAddress``.
 */
export declare function getEipAssociation(args: GetEipAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetEipAssociationResult>;
export interface GetEipAssociationArgs {
    /**
     * The ID of the association.
     */
    id: string;
}
export interface GetEipAssociationResult {
    /**
     * The ID of the association.
     */
    readonly id?: string;
}
/**
 * Associates an Elastic IP address with an instance or a network interface. Before you can use an Elastic IP address, you must allocate it to your account. For more information about working with Elastic IP addresses, see [Elastic IP address concepts and rules](https://docs.aws.amazon.com/vpc/latest/userguide/vpc-eips.html#vpc-eip-overview).
 *  You must specify ``AllocationId`` and either ``InstanceId``, ``NetworkInterfaceId``, or ``PrivateIpAddress``.
 */
export declare function getEipAssociationOutput(args: GetEipAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEipAssociationResult>;
export interface GetEipAssociationOutputArgs {
    /**
     * The ID of the association.
     */
    id: pulumi.Input<string>;
}
