import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The AWS::EC2::TransitGatewayMulticastDomain type
 */
export declare function getTransitGatewayMulticastDomain(args: GetTransitGatewayMulticastDomainArgs, opts?: pulumi.InvokeOptions): Promise<GetTransitGatewayMulticastDomainResult>;
export interface GetTransitGatewayMulticastDomainArgs {
    /**
     * The ID of the transit gateway multicast domain.
     */
    transitGatewayMulticastDomainId: string;
}
export interface GetTransitGatewayMulticastDomainResult {
    /**
     * The time the transit gateway multicast domain was created.
     */
    readonly creationTime?: string;
    /**
     * The options for the transit gateway multicast domain.
     */
    readonly options?: outputs.ec2.OptionsProperties;
    /**
     * The state of the transit gateway multicast domain.
     */
    readonly state?: string;
    /**
     * The tags for the transit gateway multicast domain.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The Amazon Resource Name (ARN) of the transit gateway multicast domain.
     */
    readonly transitGatewayMulticastDomainArn?: string;
    /**
     * The ID of the transit gateway multicast domain.
     */
    readonly transitGatewayMulticastDomainId?: string;
}
/**
 * The AWS::EC2::TransitGatewayMulticastDomain type
 */
export declare function getTransitGatewayMulticastDomainOutput(args: GetTransitGatewayMulticastDomainOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTransitGatewayMulticastDomainResult>;
export interface GetTransitGatewayMulticastDomainOutputArgs {
    /**
     * The ID of the transit gateway multicast domain.
     */
    transitGatewayMulticastDomainId: pulumi.Input<string>;
}
