import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Schema of AWS::EMRContainers::VirtualCluster Type
 */
export declare function getVirtualCluster(args: GetVirtualClusterArgs, opts?: pulumi.InvokeOptions): Promise<GetVirtualClusterResult>;
export interface GetVirtualClusterArgs {
    /**
     * Id of the virtual cluster.
     */
    id: string;
}
export interface GetVirtualClusterResult {
    /**
     * The Amazon Resource Name (ARN) of the project, such as `arn:aws:emr-containers:us-east-1:123456789012:/virtualclusters/ab4rp1abcs8xz47n3x0example` .
     */
    readonly arn?: string;
    /**
     * Id of the virtual cluster.
     */
    readonly id?: string;
    /**
     * The ID of the security configuration.
     */
    readonly securityConfigurationId?: string;
    /**
     * An array of key-value pairs to apply to this virtual cluster.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Schema of AWS::EMRContainers::VirtualCluster Type
 */
export declare function getVirtualClusterOutput(args: GetVirtualClusterOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetVirtualClusterResult>;
export interface GetVirtualClusterOutputArgs {
    /**
     * Id of the virtual cluster.
     */
    id: pulumi.Input<string>;
}
