import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * A resource schema for an EventType in Amazon Fraud Detector.
 */
export declare function getEventType(args: GetEventTypeArgs, opts?: pulumi.InvokeOptions): Promise<GetEventTypeResult>;
export interface GetEventTypeArgs {
    /**
     * The ARN of the event type.
     */
    arn: string;
}
export interface GetEventTypeResult {
    /**
     * The ARN of the event type.
     */
    readonly arn?: string;
    /**
     * The time when the event type was created.
     */
    readonly createdTime?: string;
    /**
     * The description of the event type.
     */
    readonly description?: string;
    /**
     * The event type entity types.
     */
    readonly entityTypes?: outputs.frauddetector.EventTypeEntityType[];
    /**
     * The event type event variables.
     */
    readonly eventVariables?: outputs.frauddetector.EventTypeEventVariable[];
    /**
     * The event type labels.
     */
    readonly labels?: outputs.frauddetector.EventTypeLabel[];
    /**
     * The time when the event type was last updated.
     */
    readonly lastUpdatedTime?: string;
    /**
     * Tags associated with this event type.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * A resource schema for an EventType in Amazon Fraud Detector.
 */
export declare function getEventTypeOutput(args: GetEventTypeOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEventTypeResult>;
export interface GetEventTypeOutputArgs {
    /**
     * The ARN of the event type.
     */
    arn: pulumi.Input<string>;
}
