import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * AWS Ground Station DataflowEndpointGroup schema for CloudFormation
 */
export declare function getDataflowEndpointGroup(args: GetDataflowEndpointGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetDataflowEndpointGroupResult>;
export interface GetDataflowEndpointGroupArgs {
    /**
     * UUID of a dataflow endpoint group.
     */
    id: string;
}
export interface GetDataflowEndpointGroupResult {
    /**
     * The ARN of the dataflow endpoint group, such as `arn:aws:groundstation:us-east-2:1234567890:dataflow-endpoint-group/9940bf3b-d2ba-427e-9906-842b5e5d2296` .
     */
    readonly arn?: string;
    /**
     * UUID of a dataflow endpoint group.
     */
    readonly id?: string;
    /**
     * Tags assigned to a resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * AWS Ground Station DataflowEndpointGroup schema for CloudFormation
 */
export declare function getDataflowEndpointGroupOutput(args: GetDataflowEndpointGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDataflowEndpointGroupResult>;
export interface GetDataflowEndpointGroupOutputArgs {
    /**
     * UUID of a dataflow endpoint group.
     */
    id: pulumi.Input<string>;
}
