import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::IdentityStore::Group
 */
export declare function getGroup(args: GetGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetGroupResult>;
export interface GetGroupArgs {
    /**
     * The unique identifier for a group in the identity store.
     */
    groupId: string;
    /**
     * The globally unique identifier for the identity store.
     */
    identityStoreId: string;
}
export interface GetGroupResult {
    /**
     * A string containing the description of the group.
     */
    readonly description?: string;
    /**
     * A string containing the name of the group. This value is commonly displayed when the group is referenced.
     */
    readonly displayName?: string;
    /**
     * The unique identifier for a group in the identity store.
     */
    readonly groupId?: string;
}
/**
 * Resource Type definition for AWS::IdentityStore::Group
 */
export declare function getGroupOutput(args: GetGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetGroupResult>;
export interface GetGroupOutputArgs {
    /**
     * The unique identifier for a group in the identity store.
     */
    groupId: pulumi.Input<string>;
    /**
     * The globally unique identifier for the identity store.
     */
    identityStoreId: pulumi.Input<string>;
}
