import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * CIS Scan Configuration resource schema
 */
export declare function getCisScanConfiguration(args: GetCisScanConfigurationArgs, opts?: pulumi.InvokeOptions): Promise<GetCisScanConfigurationResult>;
export interface GetCisScanConfigurationArgs {
    /**
     * CIS Scan configuration unique identifier
     */
    arn: string;
}
export interface GetCisScanConfigurationResult {
    /**
     * CIS Scan configuration unique identifier
     */
    readonly arn?: string;
    /**
     * Name of the scan
     */
    readonly scanName?: string;
    /**
     * The CIS scan configuration's schedule.
     */
    readonly schedule?: outputs.inspectorv2.CisScanConfigurationSchedule;
    /**
     * The CIS scan configuration's CIS Benchmark level.
     */
    readonly securityLevel?: enums.inspectorv2.CisScanConfigurationCisSecurityLevel;
    /**
     * The CIS scan configuration's tags.
     */
    readonly tags?: {
        [key: string]: string;
    };
    /**
     * The CIS scan configuration's targets.
     */
    readonly targets?: outputs.inspectorv2.CisScanConfigurationCisTargets;
}
/**
 * CIS Scan Configuration resource schema
 */
export declare function getCisScanConfigurationOutput(args: GetCisScanConfigurationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCisScanConfigurationResult>;
export interface GetCisScanConfigurationOutputArgs {
    /**
     * CIS Scan configuration unique identifier
     */
    arn: pulumi.Input<string>;
}
