import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Logging Options enable you to configure your IoT V2 logging role and default logging level so that you can monitor progress events logs as it passes from your devices through Iot core service.
 */
export declare function getLogging(args: GetLoggingArgs, opts?: pulumi.InvokeOptions): Promise<GetLoggingResult>;
export interface GetLoggingArgs {
    /**
     * Your 12-digit account ID (used as the primary identifier for the CloudFormation resource).
     */
    accountId: string;
}
export interface GetLoggingResult {
    /**
     * The log level to use. Valid values are: ERROR, WARN, INFO, DEBUG, or DISABLED.
     */
    readonly defaultLogLevel?: enums.iot.LoggingDefaultLogLevel;
    /**
     * The ARN of the role that allows IoT to write to Cloudwatch logs.
     */
    readonly roleArn?: string;
}
/**
 * Logging Options enable you to configure your IoT V2 logging role and default logging level so that you can monitor progress events logs as it passes from your devices through Iot core service.
 */
export declare function getLoggingOutput(args: GetLoggingOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLoggingResult>;
export interface GetLoggingOutputArgs {
    /**
     * Your 12-digit account ID (used as the primary identifier for the CloudFormation resource).
     */
    accountId: pulumi.Input<string>;
}
