import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * resource definition
 */
export declare function getSoftwarePackage(args: GetSoftwarePackageArgs, opts?: pulumi.InvokeOptions): Promise<GetSoftwarePackageResult>;
export interface GetSoftwarePackageArgs {
    /**
     * The name of the new software package.
     */
    packageName: string;
}
export interface GetSoftwarePackageResult {
    /**
     * A summary of the package being created. This can be used to outline the package's contents or purpose.
     */
    readonly description?: string;
    /**
     * The Amazon Resource Name (ARN) for the package.
     */
    readonly packageArn?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * resource definition
 */
export declare function getSoftwarePackageOutput(args: GetSoftwarePackageOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetSoftwarePackageResult>;
export interface GetSoftwarePackageOutputArgs {
    /**
     * The name of the new software package.
     */
    packageName: pulumi.Input<string>;
}
