import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Destination's resource schema demonstrating some basic constructs and validation rules.
 */
export declare function getDestination(args: GetDestinationArgs, opts?: pulumi.InvokeOptions): Promise<GetDestinationResult>;
export interface GetDestinationArgs {
    /**
     * Unique name of destination
     */
    name: string;
}
export interface GetDestinationResult {
    /**
     * Destination arn. Returned after successful create.
     */
    readonly arn?: string;
    /**
     * Destination description
     */
    readonly description?: string;
    /**
     * Destination expression
     */
    readonly expression?: string;
    /**
     * Must be RuleName
     */
    readonly expressionType?: enums.iotwireless.DestinationExpressionType;
    /**
     * AWS role ARN that grants access
     */
    readonly roleArn?: string;
    /**
     * A list of key-value pairs that contain metadata for the destination.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Destination's resource schema demonstrating some basic constructs and validation rules.
 */
export declare function getDestinationOutput(args: GetDestinationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDestinationResult>;
export interface GetDestinationOutputArgs {
    /**
     * Unique name of destination
     */
    name: pulumi.Input<string>;
}
