import * as pulumi from "@pulumi/pulumi";
/**
 * Resource Type definition for AWS::Lightsail::LoadBalancerTlsCertificate
 */
export declare function getLoadBalancerTlsCertificate(args: GetLoadBalancerTlsCertificateArgs, opts?: pulumi.InvokeOptions): Promise<GetLoadBalancerTlsCertificateResult>;
export interface GetLoadBalancerTlsCertificateArgs {
    /**
     * The SSL/TLS certificate name.
     */
    certificateName: string;
    /**
     * The name of your load balancer.
     */
    loadBalancerName: string;
}
export interface GetLoadBalancerTlsCertificateResult {
    /**
     * A Boolean value that indicates whether HTTPS redirection is enabled for the load balancer.
     */
    readonly httpsRedirectionEnabled?: boolean;
    /**
     * When true, the SSL/TLS certificate is attached to the Lightsail load balancer.
     */
    readonly isAttached?: boolean;
    /**
     * The Amazon Resource Name (ARN) of the SSL/TLS certificate.
     */
    readonly loadBalancerTlsCertificateArn?: string;
    /**
     * The validation status of the SSL/TLS certificate.
     */
    readonly status?: string;
}
/**
 * Resource Type definition for AWS::Lightsail::LoadBalancerTlsCertificate
 */
export declare function getLoadBalancerTlsCertificateOutput(args: GetLoadBalancerTlsCertificateOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetLoadBalancerTlsCertificateResult>;
export interface GetLoadBalancerTlsCertificateOutputArgs {
    /**
     * The SSL/TLS certificate name.
     */
    certificateName: pulumi.Input<string>;
    /**
     * The name of your load balancer.
     */
    loadBalancerName: pulumi.Input<string>;
}
