import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource Schema for Logs Integration Resource
 */
export declare function getIntegration(args: GetIntegrationArgs, opts?: pulumi.InvokeOptions): Promise<GetIntegrationResult>;
export interface GetIntegrationArgs {
    /**
     * User provided identifier for integration, unique to the user account.
     */
    integrationName: string;
}
export interface GetIntegrationResult {
    /**
     * Status of creation for the Integration and its resources
     */
    readonly integrationStatus?: enums.logs.IntegrationStatus;
}
/**
 * Resource Schema for Logs Integration Resource
 */
export declare function getIntegrationOutput(args: GetIntegrationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetIntegrationResult>;
export interface GetIntegrationOutputArgs {
    /**
     * User provided identifier for integration, unique to the user account.
     */
    integrationName: pulumi.Input<string>;
}
