import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::MediaPackage::PackagingGroup
 */
export declare function getPackagingGroup(args: GetPackagingGroupArgs, opts?: pulumi.InvokeOptions): Promise<GetPackagingGroupResult>;
export interface GetPackagingGroupArgs {
    /**
     * The ID of the PackagingGroup.
     */
    id: string;
}
export interface GetPackagingGroupResult {
    /**
     * The ARN of the PackagingGroup.
     */
    readonly arn?: string;
    /**
     * CDN Authorization
     */
    readonly authorization?: outputs.mediapackage.PackagingGroupAuthorization;
    /**
     * The fully qualified domain name for Assets in the PackagingGroup.
     */
    readonly domainName?: string;
    /**
     * The configuration parameters for egress access logging.
     */
    readonly egressAccessLogs?: outputs.mediapackage.PackagingGroupLogConfiguration;
}
/**
 * Resource schema for AWS::MediaPackage::PackagingGroup
 */
export declare function getPackagingGroupOutput(args: GetPackagingGroupOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPackagingGroupResult>;
export interface GetPackagingGroupOutputArgs {
    /**
     * The ID of the PackagingGroup.
     */
    id: pulumi.Input<string>;
}
