import * as pulumi from "@pulumi/pulumi";
/**
 * Represents a SCEP Challenge that is used for certificate enrollment
 */
export declare function getChallenge(args: GetChallengeArgs, opts?: pulumi.InvokeOptions): Promise<GetChallengeResult>;
export interface GetChallengeArgs {
    /**
     * The Amazon Resource Name (ARN) of the challenge.
     */
    challengeArn: string;
}
export interface GetChallengeResult {
    /**
     * The Amazon Resource Name (ARN) of the challenge.
     */
    readonly challengeArn?: string;
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * Represents a SCEP Challenge that is used for certificate enrollment
 */
export declare function getChallengeOutput(args: GetChallengeOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetChallengeResult>;
export interface GetChallengeOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the challenge.
     */
    challengeArn: pulumi.Input<string>;
}
