import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Schema for ResourceGroups::TagSyncTask
 */
export declare function getTagSyncTask(args: GetTagSyncTaskArgs, opts?: pulumi.InvokeOptions): Promise<GetTagSyncTaskResult>;
export interface GetTagSyncTaskArgs {
    /**
     * The ARN of the TagSyncTask resource
     */
    taskArn: string;
}
export interface GetTagSyncTaskResult {
    /**
     * The Amazon resource name (ARN) of the ApplicationGroup for which the TagSyncTask is created
     */
    readonly groupArn?: string;
    /**
     * The Name of the application group for which the TagSyncTask is created
     */
    readonly groupName?: string;
    /**
     * The status of the TagSyncTask
     */
    readonly status?: enums.resourcegroups.TagSyncTaskStatus;
    /**
     * The ARN of the TagSyncTask resource
     */
    readonly taskArn?: string;
}
/**
 * Schema for ResourceGroups::TagSyncTask
 */
export declare function getTagSyncTaskOutput(args: GetTagSyncTaskOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTagSyncTaskResult>;
export interface GetTagSyncTaskOutputArgs {
    /**
     * The ARN of the TagSyncTask resource
     */
    taskArn: pulumi.Input<string>;
}
