import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Aws Route53 Recovery Readiness Check Schema and API specification.
 */
export declare function getReadinessCheck(args: GetReadinessCheckArgs, opts?: pulumi.InvokeOptions): Promise<GetReadinessCheckResult>;
export interface GetReadinessCheckArgs {
    /**
     * Name of the ReadinessCheck to create.
     */
    readinessCheckName: string;
}
export interface GetReadinessCheckResult {
    /**
     * The Amazon Resource Name (ARN) of the readiness check.
     */
    readonly readinessCheckArn?: string;
    /**
     * The name of the resource set to check.
     */
    readonly resourceSetName?: string;
    /**
     * A collection of tags associated with a resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Aws Route53 Recovery Readiness Check Schema and API specification.
 */
export declare function getReadinessCheckOutput(args: GetReadinessCheckOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetReadinessCheckResult>;
export interface GetReadinessCheckOutputArgs {
    /**
     * Name of the ReadinessCheck to create.
     */
    readinessCheckName: pulumi.Input<string>;
}
