import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::SES::MailManagerAddonInstance Resource Type
 */
export declare function getMailManagerAddonInstance(args: GetMailManagerAddonInstanceArgs, opts?: pulumi.InvokeOptions): Promise<GetMailManagerAddonInstanceResult>;
export interface GetMailManagerAddonInstanceArgs {
    /**
     * The unique ID of the Add On instance.
     */
    addonInstanceId: string;
}
export interface GetMailManagerAddonInstanceResult {
    /**
     * The Amazon Resource Name (ARN) of the Add On instance.
     */
    readonly addonInstanceArn?: string;
    /**
     * The unique ID of the Add On instance.
     */
    readonly addonInstanceId?: string;
    /**
     * The name of the Add On for the instance.
     */
    readonly addonName?: string;
    /**
     * The tags used to organize, track, or control access for the resource. For example, { "tags": {"key1":"value1", "key2":"value2"} }.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::SES::MailManagerAddonInstance Resource Type
 */
export declare function getMailManagerAddonInstanceOutput(args: GetMailManagerAddonInstanceOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetMailManagerAddonInstanceResult>;
export interface GetMailManagerAddonInstanceOutputArgs {
    /**
     * The unique ID of the Add On instance.
     */
    addonInstanceId: pulumi.Input<string>;
}
