export declare const ConnectorProfileAuthenticationType: {
    readonly Oauth2: "OAUTH2";
    readonly Apikey: "APIKEY";
    readonly Basic: "BASIC";
    readonly Custom: "CUSTOM";
};
export type ConnectorProfileAuthenticationType = (typeof ConnectorProfileAuthenticationType)[keyof typeof ConnectorProfileAuthenticationType];
export declare const ConnectorProfileConnectionMode: {
    readonly Public: "Public";
    readonly Private: "Private";
};
/**
 * Mode in which data transfer should be enabled. Private connection mode is currently enabled for Salesforce, Snowflake, Trendmicro and Singular
 */
export type ConnectorProfileConnectionMode = (typeof ConnectorProfileConnectionMode)[keyof typeof ConnectorProfileConnectionMode];
export declare const ConnectorProfileConnectorType: {
    readonly Salesforce: "Salesforce";
    readonly Pardot: "Pardot";
    readonly Singular: "Singular";
    readonly Slack: "Slack";
    readonly Redshift: "Redshift";
    readonly Marketo: "Marketo";
    readonly Googleanalytics: "Googleanalytics";
    readonly Zendesk: "Zendesk";
    readonly Servicenow: "Servicenow";
    readonly SapoData: "SAPOData";
    readonly Datadog: "Datadog";
    readonly Trendmicro: "Trendmicro";
    readonly Snowflake: "Snowflake";
    readonly Dynatrace: "Dynatrace";
    readonly Infornexus: "Infornexus";
    readonly Amplitude: "Amplitude";
    readonly Veeva: "Veeva";
    readonly CustomConnector: "CustomConnector";
};
export type ConnectorProfileConnectorType = (typeof ConnectorProfileConnectorType)[keyof typeof ConnectorProfileConnectorType];
export declare const ConnectorProfileOAuth2GrantType: {
    readonly ClientCredentials: "CLIENT_CREDENTIALS";
    readonly AuthorizationCode: "AUTHORIZATION_CODE";
    readonly JwtBearer: "JWT_BEARER";
};
export type ConnectorProfileOAuth2GrantType = (typeof ConnectorProfileOAuth2GrantType)[keyof typeof ConnectorProfileOAuth2GrantType];
export declare const FlowAggregationType: {
    readonly None: "None";
    readonly SingleFile: "SingleFile";
};
export type FlowAggregationType = (typeof FlowAggregationType)[keyof typeof FlowAggregationType];
export declare const FlowAmplitudeConnectorOperator: {
    readonly Between: "BETWEEN";
};
export type FlowAmplitudeConnectorOperator = (typeof FlowAmplitudeConnectorOperator)[keyof typeof FlowAmplitudeConnectorOperator];
export declare const FlowConnectorType: {
    readonly SapoData: "SAPOData";
    readonly Salesforce: "Salesforce";
    readonly Pardot: "Pardot";
    readonly Singular: "Singular";
    readonly Slack: "Slack";
    readonly Redshift: "Redshift";
    readonly S3: "S3";
    readonly Marketo: "Marketo";
    readonly Googleanalytics: "Googleanalytics";
    readonly Zendesk: "Zendesk";
    readonly Servicenow: "Servicenow";
    readonly Datadog: "Datadog";
    readonly Trendmicro: "Trendmicro";
    readonly Snowflake: "Snowflake";
    readonly Dynatrace: "Dynatrace";
    readonly Infornexus: "Infornexus";
    readonly Amplitude: "Amplitude";
    readonly Veeva: "Veeva";
    readonly CustomConnector: "CustomConnector";
    readonly EventBridge: "EventBridge";
    readonly Upsolver: "Upsolver";
    readonly LookoutMetrics: "LookoutMetrics";
};
export type FlowConnectorType = (typeof FlowConnectorType)[keyof typeof FlowConnectorType];
export declare const FlowCustomConnectorSourcePropertiesDataTransferApiPropertiesType: {
    readonly Sync: "SYNC";
    readonly Async: "ASYNC";
    readonly Automatic: "AUTOMATIC";
};
export type FlowCustomConnectorSourcePropertiesDataTransferApiPropertiesType = (typeof FlowCustomConnectorSourcePropertiesDataTransferApiPropertiesType)[keyof typeof FlowCustomConnectorSourcePropertiesDataTransferApiPropertiesType];
export declare const FlowDataTransferApi: {
    readonly Automatic: "AUTOMATIC";
    readonly Bulkv2: "BULKV2";
    readonly RestSync: "REST_SYNC";
};
export type FlowDataTransferApi = (typeof FlowDataTransferApi)[keyof typeof FlowDataTransferApi];
export declare const FlowDatadogConnectorOperator: {
    readonly Projection: "PROJECTION";
    readonly Between: "BETWEEN";
    readonly EqualTo: "EQUAL_TO";
    readonly Addition: "ADDITION";
    readonly Multiplication: "MULTIPLICATION";
    readonly Division: "DIVISION";
    readonly Subtraction: "SUBTRACTION";
    readonly MaskAll: "MASK_ALL";
    readonly MaskFirstN: "MASK_FIRST_N";
    readonly MaskLastN: "MASK_LAST_N";
    readonly ValidateNonNull: "VALIDATE_NON_NULL";
    readonly ValidateNonZero: "VALIDATE_NON_ZERO";
    readonly ValidateNonNegative: "VALIDATE_NON_NEGATIVE";
    readonly ValidateNumeric: "VALIDATE_NUMERIC";
    readonly NoOp: "NO_OP";
};
export type FlowDatadogConnectorOperator = (typeof FlowDatadogConnectorOperator)[keyof typeof FlowDatadogConnectorOperator];
export declare const FlowDynatraceConnectorOperator: {
    readonly Projection: "PROJECTION";
    readonly Between: "BETWEEN";
    readonly EqualTo: "EQUAL_TO";
    readonly Addition: "ADDITION";
    readonly Multiplication: "MULTIPLICATION";
    readonly Division: "DIVISION";
    readonly Subtraction: "SUBTRACTION";
    readonly MaskAll: "MASK_ALL";
    readonly MaskFirstN: "MASK_FIRST_N";
    readonly MaskLastN: "MASK_LAST_N";
    readonly ValidateNonNull: "VALIDATE_NON_NULL";
    readonly ValidateNonZero: "VALIDATE_NON_ZERO";
    readonly ValidateNonNegative: "VALIDATE_NON_NEGATIVE";
    readonly ValidateNumeric: "VALIDATE_NUMERIC";
    readonly NoOp: "NO_OP";
};
export type FlowDynatraceConnectorOperator = (typeof FlowDynatraceConnectorOperator)[keyof typeof FlowDynatraceConnectorOperator];
export declare const FlowFileType: {
    readonly Csv: "CSV";
    readonly Json: "JSON";
    readonly Parquet: "PARQUET";
};
export type FlowFileType = (typeof FlowFileType)[keyof typeof FlowFileType];
export declare const FlowGoogleAnalyticsConnectorOperator: {
    readonly Projection: "PROJECTION";
    readonly Between: "BETWEEN";
};
export type FlowGoogleAnalyticsConnectorOperator = (typeof FlowGoogleAnalyticsConnectorOperator)[keyof typeof FlowGoogleAnalyticsConnectorOperator];
export declare const FlowInforNexusConnectorOperator: {
    readonly Projection: "PROJECTION";
    readonly Between: "BETWEEN";
    readonly EqualTo: "EQUAL_TO";
    readonly Addition: "ADDITION";
    readonly Multiplication: "MULTIPLICATION";
    readonly Division: "DIVISION";
    readonly Subtraction: "SUBTRACTION";
    readonly MaskAll: "MASK_ALL";
    readonly MaskFirstN: "MASK_FIRST_N";
    readonly MaskLastN: "MASK_LAST_N";
    readonly ValidateNonNull: "VALIDATE_NON_NULL";
    readonly ValidateNonZero: "VALIDATE_NON_ZERO";
    readonly ValidateNonNegative: "VALIDATE_NON_NEGATIVE";
    readonly ValidateNumeric: "VALIDATE_NUMERIC";
    readonly NoOp: "NO_OP";
};
export type FlowInforNexusConnectorOperator = (typeof FlowInforNexusConnectorOperator)[keyof typeof FlowInforNexusConnectorOperator];
export declare const FlowMarketoConnectorOperator: {
    readonly Projection: "PROJECTION";
    readonly LessThan: "LESS_THAN";
    readonly GreaterThan: "GREATER_THAN";
    readonly Between: "BETWEEN";
    readonly Addition: "ADDITION";
    readonly Multiplication: "MULTIPLICATION";
    readonly Division: "DIVISION";
    readonly Subtraction: "SUBTRACTION";
    readonly MaskAll: "MASK_ALL";
    readonly MaskFirstN: "MASK_FIRST_N";
    readonly MaskLastN: "MASK_LAST_N";
    readonly ValidateNonNull: "VALIDATE_NON_NULL";
    readonly ValidateNonZero: "VALIDATE_NON_ZERO";
    readonly ValidateNonNegative: "VALIDATE_NON_NEGATIVE";
    readonly ValidateNumeric: "VALIDATE_NUMERIC";
    readonly NoOp: "NO_OP";
};
export type FlowMarketoConnectorOperator = (typeof FlowMarketoConnectorOperator)[keyof typeof FlowMarketoConnectorOperator];
export declare const FlowOperator: {
    readonly Projection: "PROJECTION";
    readonly LessThan: "LESS_THAN";
    readonly GreaterThan: "GREATER_THAN";
    readonly Contains: "CONTAINS";
    readonly Between: "BETWEEN";
    readonly LessThanOrEqualTo: "LESS_THAN_OR_EQUAL_TO";
    readonly GreaterThanOrEqualTo: "GREATER_THAN_OR_EQUAL_TO";
    readonly EqualTo: "EQUAL_TO";
    readonly NotEqualTo: "NOT_EQUAL_TO";
    readonly Addition: "ADDITION";
    readonly Multiplication: "MULTIPLICATION";
    readonly Division: "DIVISION";
    readonly Subtraction: "SUBTRACTION";
    readonly MaskAll: "MASK_ALL";
    readonly MaskFirstN: "MASK_FIRST_N";
    readonly MaskLastN: "MASK_LAST_N";
    readonly ValidateNonNull: "VALIDATE_NON_NULL";
    readonly ValidateNonZero: "VALIDATE_NON_ZERO";
    readonly ValidateNonNegative: "VALIDATE_NON_NEGATIVE";
    readonly ValidateNumeric: "VALIDATE_NUMERIC";
    readonly NoOp: "NO_OP";
};
export type FlowOperator = (typeof FlowOperator)[keyof typeof FlowOperator];
export declare const FlowOperatorPropertiesKeys: {
    readonly Value: "VALUE";
    readonly Values: "VALUES";
    readonly DataType: "DATA_TYPE";
    readonly UpperBound: "UPPER_BOUND";
    readonly LowerBound: "LOWER_BOUND";
    readonly SourceDataType: "SOURCE_DATA_TYPE";
    readonly DestinationDataType: "DESTINATION_DATA_TYPE";
    readonly ValidationAction: "VALIDATION_ACTION";
    readonly MaskValue: "MASK_VALUE";
    readonly MaskLength: "MASK_LENGTH";
    readonly TruncateLength: "TRUNCATE_LENGTH";
    readonly MathOperationFieldsOrder: "MATH_OPERATION_FIELDS_ORDER";
    readonly ConcatFormat: "CONCAT_FORMAT";
    readonly SubfieldCategoryMap: "SUBFIELD_CATEGORY_MAP";
    readonly ExcludeSourceFieldsList: "EXCLUDE_SOURCE_FIELDS_LIST";
    readonly IncludeNewFields: "INCLUDE_NEW_FIELDS";
    readonly OrderedPartitionKeysList: "ORDERED_PARTITION_KEYS_LIST";
};
export type FlowOperatorPropertiesKeys = (typeof FlowOperatorPropertiesKeys)[keyof typeof FlowOperatorPropertiesKeys];
export declare const FlowPardotConnectorOperator: {
    readonly Projection: "PROJECTION";
    readonly EqualTo: "EQUAL_TO";
    readonly NoOp: "NO_OP";
    readonly Addition: "ADDITION";
    readonly Multiplication: "MULTIPLICATION";
    readonly Division: "DIVISION";
    readonly Subtraction: "SUBTRACTION";
    readonly MaskAll: "MASK_ALL";
    readonly MaskFirstN: "MASK_FIRST_N";
    readonly MaskLastN: "MASK_LAST_N";
    readonly ValidateNonNull: "VALIDATE_NON_NULL";
    readonly ValidateNonZero: "VALIDATE_NON_ZERO";
    readonly ValidateNonNegative: "VALIDATE_NON_NEGATIVE";
    readonly ValidateNumeric: "VALIDATE_NUMERIC";
};
export type FlowPardotConnectorOperator = (typeof FlowPardotConnectorOperator)[keyof typeof FlowPardotConnectorOperator];
export declare const FlowPathPrefix: {
    readonly ExecutionId: "EXECUTION_ID";
    readonly SchemaVersion: "SCHEMA_VERSION";
};
export type FlowPathPrefix = (typeof FlowPathPrefix)[keyof typeof FlowPathPrefix];
export declare const FlowPrefixFormat: {
    readonly Year: "YEAR";
    readonly Month: "MONTH";
    readonly Day: "DAY";
    readonly Hour: "HOUR";
    readonly Minute: "MINUTE";
};
export type FlowPrefixFormat = (typeof FlowPrefixFormat)[keyof typeof FlowPrefixFormat];
export declare const FlowPrefixType: {
    readonly Filename: "FILENAME";
    readonly Path: "PATH";
    readonly PathAndFilename: "PATH_AND_FILENAME";
};
export type FlowPrefixType = (typeof FlowPrefixType)[keyof typeof FlowPrefixType];
export declare const FlowS3ConnectorOperator: {
    readonly Projection: "PROJECTION";
    readonly LessThan: "LESS_THAN";
    readonly GreaterThan: "GREATER_THAN";
    readonly Between: "BETWEEN";
    readonly LessThanOrEqualTo: "LESS_THAN_OR_EQUAL_TO";
    readonly GreaterThanOrEqualTo: "GREATER_THAN_OR_EQUAL_TO";
    readonly EqualTo: "EQUAL_TO";
    readonly NotEqualTo: "NOT_EQUAL_TO";
    readonly Addition: "ADDITION";
    readonly Multiplication: "MULTIPLICATION";
    readonly Division: "DIVISION";
    readonly Subtraction: "SUBTRACTION";
    readonly MaskAll: "MASK_ALL";
    readonly MaskFirstN: "MASK_FIRST_N";
    readonly MaskLastN: "MASK_LAST_N";
    readonly ValidateNonNull: "VALIDATE_NON_NULL";
    readonly ValidateNonZero: "VALIDATE_NON_ZERO";
    readonly ValidateNonNegative: "VALIDATE_NON_NEGATIVE";
    readonly ValidateNumeric: "VALIDATE_NUMERIC";
    readonly NoOp: "NO_OP";
};
export type FlowS3ConnectorOperator = (typeof FlowS3ConnectorOperator)[keyof typeof FlowS3ConnectorOperator];
export declare const FlowS3InputFormatConfigS3InputFileType: {
    readonly Csv: "CSV";
    readonly Json: "JSON";
};
/**
 * The file type that Amazon AppFlow gets from your Amazon S3 bucket.
 */
export type FlowS3InputFormatConfigS3InputFileType = (typeof FlowS3InputFormatConfigS3InputFileType)[keyof typeof FlowS3InputFormatConfigS3InputFileType];
export declare const FlowSalesforceConnectorOperator: {
    readonly Projection: "PROJECTION";
    readonly LessThan: "LESS_THAN";
    readonly Contains: "CONTAINS";
    readonly GreaterThan: "GREATER_THAN";
    readonly Between: "BETWEEN";
    readonly LessThanOrEqualTo: "LESS_THAN_OR_EQUAL_TO";
    readonly GreaterThanOrEqualTo: "GREATER_THAN_OR_EQUAL_TO";
    readonly EqualTo: "EQUAL_TO";
    readonly NotEqualTo: "NOT_EQUAL_TO";
    readonly Addition: "ADDITION";
    readonly Multiplication: "MULTIPLICATION";
    readonly Division: "DIVISION";
    readonly Subtraction: "SUBTRACTION";
    readonly MaskAll: "MASK_ALL";
    readonly MaskFirstN: "MASK_FIRST_N";
    readonly MaskLastN: "MASK_LAST_N";
    readonly ValidateNonNull: "VALIDATE_NON_NULL";
    readonly ValidateNonZero: "VALIDATE_NON_ZERO";
    readonly ValidateNonNegative: "VALIDATE_NON_NEGATIVE";
    readonly ValidateNumeric: "VALIDATE_NUMERIC";
    readonly NoOp: "NO_OP";
};
export type FlowSalesforceConnectorOperator = (typeof FlowSalesforceConnectorOperator)[keyof typeof FlowSalesforceConnectorOperator];
export declare const FlowSapoDataConnectorOperator: {
    readonly Projection: "PROJECTION";
    readonly LessThan: "LESS_THAN";
    readonly Contains: "CONTAINS";
    readonly GreaterThan: "GREATER_THAN";
    readonly Between: "BETWEEN";
    readonly LessThanOrEqualTo: "LESS_THAN_OR_EQUAL_TO";
    readonly GreaterThanOrEqualTo: "GREATER_THAN_OR_EQUAL_TO";
    readonly EqualTo: "EQUAL_TO";
    readonly NotEqualTo: "NOT_EQUAL_TO";
    readonly Addition: "ADDITION";
    readonly Multiplication: "MULTIPLICATION";
    readonly Division: "DIVISION";
    readonly Subtraction: "SUBTRACTION";
    readonly MaskAll: "MASK_ALL";
    readonly MaskFirstN: "MASK_FIRST_N";
    readonly MaskLastN: "MASK_LAST_N";
    readonly ValidateNonNull: "VALIDATE_NON_NULL";
    readonly ValidateNonZero: "VALIDATE_NON_ZERO";
    readonly ValidateNonNegative: "VALIDATE_NON_NEGATIVE";
    readonly ValidateNumeric: "VALIDATE_NUMERIC";
    readonly NoOp: "NO_OP";
};
export type FlowSapoDataConnectorOperator = (typeof FlowSapoDataConnectorOperator)[keyof typeof FlowSapoDataConnectorOperator];
export declare const FlowScheduledTriggerPropertiesDataPullMode: {
    readonly Incremental: "Incremental";
    readonly Complete: "Complete";
};
/**
 * Specifies whether a scheduled flow has an incremental data transfer or a complete data transfer for each flow run.
 */
export type FlowScheduledTriggerPropertiesDataPullMode = (typeof FlowScheduledTriggerPropertiesDataPullMode)[keyof typeof FlowScheduledTriggerPropertiesDataPullMode];
export declare const FlowServiceNowConnectorOperator: {
    readonly Projection: "PROJECTION";
    readonly LessThan: "LESS_THAN";
    readonly Contains: "CONTAINS";
    readonly GreaterThan: "GREATER_THAN";
    readonly Between: "BETWEEN";
    readonly LessThanOrEqualTo: "LESS_THAN_OR_EQUAL_TO";
    readonly GreaterThanOrEqualTo: "GREATER_THAN_OR_EQUAL_TO";
    readonly EqualTo: "EQUAL_TO";
    readonly NotEqualTo: "NOT_EQUAL_TO";
    readonly Addition: "ADDITION";
    readonly Multiplication: "MULTIPLICATION";
    readonly Division: "DIVISION";
    readonly Subtraction: "SUBTRACTION";
    readonly MaskAll: "MASK_ALL";
    readonly MaskFirstN: "MASK_FIRST_N";
    readonly MaskLastN: "MASK_LAST_N";
    readonly ValidateNonNull: "VALIDATE_NON_NULL";
    readonly ValidateNonZero: "VALIDATE_NON_ZERO";
    readonly ValidateNonNegative: "VALIDATE_NON_NEGATIVE";
    readonly ValidateNumeric: "VALIDATE_NUMERIC";
    readonly NoOp: "NO_OP";
};
export type FlowServiceNowConnectorOperator = (typeof FlowServiceNowConnectorOperator)[keyof typeof FlowServiceNowConnectorOperator];
export declare const FlowSingularConnectorOperator: {
    readonly Projection: "PROJECTION";
    readonly EqualTo: "EQUAL_TO";
    readonly Addition: "ADDITION";
    readonly Multiplication: "MULTIPLICATION";
    readonly Division: "DIVISION";
    readonly Subtraction: "SUBTRACTION";
    readonly MaskAll: "MASK_ALL";
    readonly MaskFirstN: "MASK_FIRST_N";
    readonly MaskLastN: "MASK_LAST_N";
    readonly ValidateNonNull: "VALIDATE_NON_NULL";
    readonly ValidateNonZero: "VALIDATE_NON_ZERO";
    readonly ValidateNonNegative: "VALIDATE_NON_NEGATIVE";
    readonly ValidateNumeric: "VALIDATE_NUMERIC";
    readonly NoOp: "NO_OP";
};
export type FlowSingularConnectorOperator = (typeof FlowSingularConnectorOperator)[keyof typeof FlowSingularConnectorOperator];
export declare const FlowSlackConnectorOperator: {
    readonly Projection: "PROJECTION";
    readonly Between: "BETWEEN";
    readonly EqualTo: "EQUAL_TO";
    readonly Addition: "ADDITION";
    readonly Multiplication: "MULTIPLICATION";
    readonly Division: "DIVISION";
    readonly Subtraction: "SUBTRACTION";
    readonly MaskAll: "MASK_ALL";
    readonly MaskFirstN: "MASK_FIRST_N";
    readonly MaskLastN: "MASK_LAST_N";
    readonly ValidateNonNull: "VALIDATE_NON_NULL";
    readonly ValidateNonZero: "VALIDATE_NON_ZERO";
    readonly ValidateNonNegative: "VALIDATE_NON_NEGATIVE";
    readonly ValidateNumeric: "VALIDATE_NUMERIC";
    readonly NoOp: "NO_OP";
};
export type FlowSlackConnectorOperator = (typeof FlowSlackConnectorOperator)[keyof typeof FlowSlackConnectorOperator];
export declare const FlowStatus: {
    readonly Active: "Active";
    readonly Suspended: "Suspended";
    readonly Draft: "Draft";
};
/**
 * Flow activation status for Scheduled- and Event-triggered flows
 */
export type FlowStatus = (typeof FlowStatus)[keyof typeof FlowStatus];
export declare const FlowTaskType: {
    readonly Arithmetic: "Arithmetic";
    readonly Filter: "Filter";
    readonly Map: "Map";
    readonly MapAll: "Map_all";
    readonly Mask: "Mask";
    readonly Merge: "Merge";
    readonly Passthrough: "Passthrough";
    readonly Truncate: "Truncate";
    readonly Validate: "Validate";
    readonly Partition: "Partition";
};
export type FlowTaskType = (typeof FlowTaskType)[keyof typeof FlowTaskType];
export declare const FlowTrendmicroConnectorOperator: {
    readonly Projection: "PROJECTION";
    readonly EqualTo: "EQUAL_TO";
    readonly Addition: "ADDITION";
    readonly Multiplication: "MULTIPLICATION";
    readonly Division: "DIVISION";
    readonly Subtraction: "SUBTRACTION";
    readonly MaskAll: "MASK_ALL";
    readonly MaskFirstN: "MASK_FIRST_N";
    readonly MaskLastN: "MASK_LAST_N";
    readonly ValidateNonNull: "VALIDATE_NON_NULL";
    readonly ValidateNonZero: "VALIDATE_NON_ZERO";
    readonly ValidateNonNegative: "VALIDATE_NON_NEGATIVE";
    readonly ValidateNumeric: "VALIDATE_NUMERIC";
    readonly NoOp: "NO_OP";
};
export type FlowTrendmicroConnectorOperator = (typeof FlowTrendmicroConnectorOperator)[keyof typeof FlowTrendmicroConnectorOperator];
export declare const FlowTriggerType: {
    readonly Scheduled: "Scheduled";
    readonly Event: "Event";
    readonly OnDemand: "OnDemand";
};
export type FlowTriggerType = (typeof FlowTriggerType)[keyof typeof FlowTriggerType];
export declare const FlowVeevaConnectorOperator: {
    readonly Projection: "PROJECTION";
    readonly LessThan: "LESS_THAN";
    readonly GreaterThan: "GREATER_THAN";
    readonly Between: "BETWEEN";
    readonly LessThanOrEqualTo: "LESS_THAN_OR_EQUAL_TO";
    readonly GreaterThanOrEqualTo: "GREATER_THAN_OR_EQUAL_TO";
    readonly EqualTo: "EQUAL_TO";
    readonly NotEqualTo: "NOT_EQUAL_TO";
    readonly Addition: "ADDITION";
    readonly Multiplication: "MULTIPLICATION";
    readonly Division: "DIVISION";
    readonly Subtraction: "SUBTRACTION";
    readonly MaskAll: "MASK_ALL";
    readonly MaskFirstN: "MASK_FIRST_N";
    readonly MaskLastN: "MASK_LAST_N";
    readonly ValidateNonNull: "VALIDATE_NON_NULL";
    readonly ValidateNonZero: "VALIDATE_NON_ZERO";
    readonly ValidateNonNegative: "VALIDATE_NON_NEGATIVE";
    readonly ValidateNumeric: "VALIDATE_NUMERIC";
    readonly NoOp: "NO_OP";
};
export type FlowVeevaConnectorOperator = (typeof FlowVeevaConnectorOperator)[keyof typeof FlowVeevaConnectorOperator];
export declare const FlowWriteOperationType: {
    readonly Insert: "INSERT";
    readonly Upsert: "UPSERT";
    readonly Update: "UPDATE";
    readonly Delete: "DELETE";
};
export type FlowWriteOperationType = (typeof FlowWriteOperationType)[keyof typeof FlowWriteOperationType];
export declare const FlowZendeskConnectorOperator: {
    readonly Projection: "PROJECTION";
    readonly GreaterThan: "GREATER_THAN";
    readonly Addition: "ADDITION";
    readonly Multiplication: "MULTIPLICATION";
    readonly Division: "DIVISION";
    readonly Subtraction: "SUBTRACTION";
    readonly MaskAll: "MASK_ALL";
    readonly MaskFirstN: "MASK_FIRST_N";
    readonly MaskLastN: "MASK_LAST_N";
    readonly ValidateNonNull: "VALIDATE_NON_NULL";
    readonly ValidateNonZero: "VALIDATE_NON_ZERO";
    readonly ValidateNonNegative: "VALIDATE_NON_NEGATIVE";
    readonly ValidateNumeric: "VALIDATE_NUMERIC";
    readonly NoOp: "NO_OP";
};
export type FlowZendeskConnectorOperator = (typeof FlowZendeskConnectorOperator)[keyof typeof FlowZendeskConnectorOperator];
