export declare const StudioAuthMode: {
    readonly Sso: "SSO";
    readonly Iam: "IAM";
};
/**
 * Specifies whether the Studio authenticates users using single sign-on (SSO) or IAM. Amazon EMR Studio currently only supports SSO authentication.
 */
export type StudioAuthMode = (typeof StudioAuthMode)[keyof typeof StudioAuthMode];
export declare const StudioIdcUserAssignment: {
    readonly Required: "REQUIRED";
    readonly Optional: "OPTIONAL";
};
/**
 * Specifies whether IAM Identity Center user assignment is REQUIRED or OPTIONAL. If the value is set to REQUIRED, users must be explicitly assigned to the Studio application to access the Studio.
 */
export type StudioIdcUserAssignment = (typeof StudioIdcUserAssignment)[keyof typeof StudioIdcUserAssignment];
export declare const StudioSessionMappingIdentityType: {
    readonly User: "USER";
    readonly Group: "GROUP";
};
/**
 * Specifies whether the identity to map to the Studio is a user or a group.
 */
export type StudioSessionMappingIdentityType = (typeof StudioSessionMappingIdentityType)[keyof typeof StudioSessionMappingIdentityType];
