export declare const AllowListStatus: {
    readonly Ok: "OK";
    readonly S3ObjectNotFound: "S3_OBJECT_NOT_FOUND";
    readonly S3UserAccessDenied: "S3_USER_ACCESS_DENIED";
    readonly S3ObjectAccessDenied: "S3_OBJECT_ACCESS_DENIED";
    readonly S3Throttled: "S3_THROTTLED";
    readonly S3ObjectOversize: "S3_OBJECT_OVERSIZE";
    readonly S3ObjectEmpty: "S3_OBJECT_EMPTY";
    readonly UnknownError: "UNKNOWN_ERROR";
};
/**
 * The status for the AllowList
 */
export type AllowListStatus = (typeof AllowListStatus)[keyof typeof AllowListStatus];
export declare const FindingsFilterFindingFilterAction: {
    readonly Archive: "ARCHIVE";
    readonly Noop: "NOOP";
};
export type FindingsFilterFindingFilterAction = (typeof FindingsFilterFindingFilterAction)[keyof typeof FindingsFilterFindingFilterAction];
export declare const SessionAutomatedDiscoveryStatus: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
/**
 * The status of automated sensitive data discovery for the Macie session.
 */
export type SessionAutomatedDiscoveryStatus = (typeof SessionAutomatedDiscoveryStatus)[keyof typeof SessionAutomatedDiscoveryStatus];
export declare const SessionFindingPublishingFrequency: {
    readonly FifteenMinutes: "FIFTEEN_MINUTES";
    readonly OneHour: "ONE_HOUR";
    readonly SixHours: "SIX_HOURS";
};
/**
 * A enumeration value that specifies how frequently finding updates are published.
 */
export type SessionFindingPublishingFrequency = (typeof SessionFindingPublishingFrequency)[keyof typeof SessionFindingPublishingFrequency];
export declare const SessionStatus: {
    readonly Enabled: "ENABLED";
    readonly Paused: "PAUSED";
};
/**
 * A enumeration value that specifies the status of the Macie Session.
 */
export type SessionStatus = (typeof SessionStatus)[keyof typeof SessionStatus];
