export declare const ClusterNetworkType: {
    readonly Ipv4: "IPV4";
    readonly Dualstack: "DUALSTACK";
};
/**
 * Cluster supports IPv4 endpoints and Dual-stack IPv4 and IPv6 endpoints. NetworkType can be IPV4 or DUALSTACK.
 */
export type ClusterNetworkType = (typeof ClusterNetworkType)[keyof typeof ClusterNetworkType];
export declare const ClusterStatus: {
    readonly Pending: "PENDING";
    readonly Deployed: "DEPLOYED";
    readonly PendingDeletion: "PENDING_DELETION";
};
/**
 * Deployment status of a resource. Status can be one of the following: PENDING, DEPLOYED, PENDING_DELETION.
 */
export type ClusterStatus = (typeof ClusterStatus)[keyof typeof ClusterStatus];
export declare const ControlPanelStatus: {
    readonly Pending: "PENDING";
    readonly Deployed: "DEPLOYED";
    readonly PendingDeletion: "PENDING_DELETION";
};
/**
 * The deployment status of control panel. Status can be one of the following: PENDING, DEPLOYED, PENDING_DELETION.
 */
export type ControlPanelStatus = (typeof ControlPanelStatus)[keyof typeof ControlPanelStatus];
export declare const RoutingControlStatus: {
    readonly Pending: "PENDING";
    readonly Deployed: "DEPLOYED";
    readonly PendingDeletion: "PENDING_DELETION";
};
/**
 * The deployment status of the routing control. Status can be one of the following: PENDING, DEPLOYED, PENDING_DELETION.
 */
export type RoutingControlStatus = (typeof RoutingControlStatus)[keyof typeof RoutingControlStatus];
export declare const SafetyRuleRuleType: {
    readonly And: "AND";
    readonly Or: "OR";
    readonly Atleast: "ATLEAST";
};
/**
 * A rule can be one of the following: ATLEAST, AND, or OR.
 */
export type SafetyRuleRuleType = (typeof SafetyRuleRuleType)[keyof typeof SafetyRuleRuleType];
export declare const SafetyRuleStatus: {
    readonly Pending: "PENDING";
    readonly Deployed: "DEPLOYED";
    readonly PendingDeletion: "PENDING_DELETION";
};
/**
 * The deployment status of the routing control. Status can be one of the following: PENDING, DEPLOYED, PENDING_DELETION.
 */
export type SafetyRuleStatus = (typeof SafetyRuleStatus)[keyof typeof SafetyRuleStatus];
