export declare const ScheduleAssignPublicIp: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
/**
 * Specifies whether the task's elastic network interface receives a public IP address. You can specify ENABLED only when LaunchType in EcsParameters is set to FARGATE.
 */
export type ScheduleAssignPublicIp = (typeof ScheduleAssignPublicIp)[keyof typeof ScheduleAssignPublicIp];
export declare const ScheduleFlexibleTimeWindowMode: {
    readonly Off: "OFF";
    readonly Flexible: "FLEXIBLE";
};
/**
 * Determines whether the schedule is executed within a flexible time window.
 */
export type ScheduleFlexibleTimeWindowMode = (typeof ScheduleFlexibleTimeWindowMode)[keyof typeof ScheduleFlexibleTimeWindowMode];
export declare const ScheduleGroupState: {
    readonly Active: "ACTIVE";
    readonly Deleting: "DELETING";
};
/**
 * Specifies the state of the schedule group.
 */
export type ScheduleGroupState = (typeof ScheduleGroupState)[keyof typeof ScheduleGroupState];
export declare const ScheduleLaunchType: {
    readonly Ec2: "EC2";
    readonly Fargate: "FARGATE";
    readonly External: "EXTERNAL";
};
/**
 * Specifies the launch type on which your task is running. The launch type that you specify here must match one of the launch type (compatibilities) of the target task. The FARGATE value is supported only in the Regions where AWS Fargate with Amazon ECS is supported. For more information, see AWS Fargate on Amazon ECS in the Amazon Elastic Container Service Developer Guide.
 */
export type ScheduleLaunchType = (typeof ScheduleLaunchType)[keyof typeof ScheduleLaunchType];
export declare const SchedulePlacementConstraintType: {
    readonly DistinctInstance: "distinctInstance";
    readonly MemberOf: "memberOf";
};
/**
 * The type of constraint. Use distinctInstance to ensure that each task in a particular group is running on a different container instance. Use memberOf to restrict the selection to a group of valid candidates.
 */
export type SchedulePlacementConstraintType = (typeof SchedulePlacementConstraintType)[keyof typeof SchedulePlacementConstraintType];
export declare const SchedulePlacementStrategyType: {
    readonly Random: "random";
    readonly Spread: "spread";
    readonly Binpack: "binpack";
};
/**
 * The type of placement strategy. The random placement strategy randomly places tasks on available candidates. The spread placement strategy spreads placement across available candidates evenly based on the field parameter. The binpack strategy places tasks on available candidates that have the least available amount of the resource that is specified with the field parameter. For example, if you binpack on memory, a task is placed on the instance with the least amount of remaining memory (but still enough to run the task).
 */
export type SchedulePlacementStrategyType = (typeof SchedulePlacementStrategyType)[keyof typeof SchedulePlacementStrategyType];
export declare const SchedulePropagateTags: {
    readonly TaskDefinition: "TASK_DEFINITION";
};
/**
 * Specifies whether to propagate the tags from the task definition to the task. If no value is specified, the tags are not propagated. Tags can only be propagated to the task during task creation. To add tags to a task after task creation, use the TagResource API action.
 */
export type SchedulePropagateTags = (typeof SchedulePropagateTags)[keyof typeof SchedulePropagateTags];
export declare const ScheduleState: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
/**
 * Specifies whether the schedule is enabled or disabled.
 */
export type ScheduleState = (typeof ScheduleState)[keyof typeof ScheduleState];
