export declare const ProactiveEngagementStatus: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
/**
 * If `ENABLED`, the Shield Response Team (SRT) will use email and phone to notify contacts about escalations to the SRT and to initiate proactive customer support.
 * If `DISABLED`, the SRT will not proactively notify contacts about escalations or to initiate proactive customer support.
 */
export type ProactiveEngagementStatus = (typeof ProactiveEngagementStatus)[keyof typeof ProactiveEngagementStatus];
export declare const ProtectionApplicationLayerAutomaticResponseConfigurationStatus: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
/**
 * Indicates whether automatic application layer DDoS mitigation is enabled for the protection.
 */
export type ProtectionApplicationLayerAutomaticResponseConfigurationStatus = (typeof ProtectionApplicationLayerAutomaticResponseConfigurationStatus)[keyof typeof ProtectionApplicationLayerAutomaticResponseConfigurationStatus];
export declare const ProtectionGroupAggregation: {
    readonly Sum: "SUM";
    readonly Mean: "MEAN";
    readonly Max: "MAX";
};
/**
 * Defines how AWS Shield combines resource data for the group in order to detect, mitigate, and report events.
 * * Sum - Use the total traffic across the group. This is a good choice for most cases. Examples include Elastic IP addresses for EC2 instances that scale manually or automatically.
 * * Mean - Use the average of the traffic across the group. This is a good choice for resources that share traffic uniformly. Examples include accelerators and load balancers.
 * * Max - Use the highest traffic from each resource. This is useful for resources that don't share traffic and for resources that share that traffic in a non-uniform way. Examples include Amazon CloudFront and origin resources for CloudFront distributions.
 */
export type ProtectionGroupAggregation = (typeof ProtectionGroupAggregation)[keyof typeof ProtectionGroupAggregation];
export declare const ProtectionGroupPattern: {
    readonly All: "ALL";
    readonly Arbitrary: "ARBITRARY";
    readonly ByResourceType: "BY_RESOURCE_TYPE";
};
/**
 * The criteria to use to choose the protected resources for inclusion in the group. You can include all resources that have protections, provide a list of resource Amazon Resource Names (ARNs), or include all resources of a specified resource type.
 */
export type ProtectionGroupPattern = (typeof ProtectionGroupPattern)[keyof typeof ProtectionGroupPattern];
export declare const ProtectionGroupResourceType: {
    readonly CloudfrontDistribution: "CLOUDFRONT_DISTRIBUTION";
    readonly Route53HostedZone: "ROUTE_53_HOSTED_ZONE";
    readonly ElasticIpAllocation: "ELASTIC_IP_ALLOCATION";
    readonly ClassicLoadBalancer: "CLASSIC_LOAD_BALANCER";
    readonly ApplicationLoadBalancer: "APPLICATION_LOAD_BALANCER";
    readonly GlobalAccelerator: "GLOBAL_ACCELERATOR";
};
/**
 * The resource type to include in the protection group. All protected resources of this type are included in the protection group. Newly protected resources of this type are automatically added to the group. You must set this when you set `Pattern` to `BY_RESOURCE_TYPE` and you must not set it for any other `Pattern` setting.
 */
export type ProtectionGroupResourceType = (typeof ProtectionGroupResourceType)[keyof typeof ProtectionGroupResourceType];
