import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The AWS::VoiceID::Domain resource specifies an Amazon VoiceID Domain.
 */
export declare function getDomain(args: GetDomainArgs, opts?: pulumi.InvokeOptions): Promise<GetDomainResult>;
export interface GetDomainArgs {
    /**
     * The identifier of the domain.
     */
    domainId: string;
}
export interface GetDomainResult {
    /**
     * The description of the domain.
     */
    readonly description?: string;
    /**
     * The identifier of the domain.
     */
    readonly domainId?: string;
    /**
     * The name for the domain.
     */
    readonly name?: string;
    /**
     * The server-side encryption configuration containing the KMS key identifier you want Voice ID to use to encrypt your data.
     */
    readonly serverSideEncryptionConfiguration?: outputs.voiceid.DomainServerSideEncryptionConfiguration;
    /**
     * The tags used to organize, track, or control access for this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * The AWS::VoiceID::Domain resource specifies an Amazon VoiceID Domain.
 */
export declare function getDomainOutput(args: GetDomainOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDomainResult>;
export interface GetDomainOutputArgs {
    /**
     * The identifier of the domain.
     */
    domainId: pulumi.Input<string>;
}
